> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get text forecasts

> Replies with the text forecasts of locations IDs requested



## OpenAPI

````yaml api-reference/pinpoint/openapi.json get /text/{id}
openapi: 3.0.1
info:
  title: Pinpoint API
  description: >-
    Weather forecast API providing hourly and daily forecasts, location
    information, and weather parameters
  version: 1.0.0
servers:
  - url: http://pinpoint.devops.arabiaweather.com
    description: Development API server
  - url: http://n01.pinpoint.devops.arabiaweather.com
    description: Development node n01
  - url: http://n02.pinpoint.devops.arabiaweather.com
    description: Development node n02
  - url: http://n03.pinpoint.devops.arabiaweather.com
    description: Development node n03
  - url: http://n04.pinpoint.devops.arabiaweather.com
    description: Development node n04
  - url: http://n05.pinpoint.devops.arabiaweather.com
    description: Development node n05
  - url: http://internal-tools-pinpoint.devops.arabiaweather.com
    description: Internal tools API server
security: []
tags:
  - name: forecast
  - name: parameters
  - name: location
  - name: admin
  - name: debug
paths:
  /text/{id}:
    get:
      tags:
        - forecast
      summary: Get text forecasts
      description: Replies with the text forecasts of locations IDs requested
      parameters:
        - name: id
          in: path
          description: Location ID or comma-separated list of location IDs
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: Text forecast data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TextForecastResponse'
          headers: {}
        '404':
          description: Location not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    TextForecastResponse:
      type: object
      additionalProperties:
        type: object
        properties:
          text:
            type: object
            properties:
              en:
                type: string
                description: English text forecast
              ar:
                type: string
                description: Arabic text forecast
      example:
        locations:
          - - level: info
              created_at: 1742568212
              category: consumer/long_term_status
              text:
                ar: >-
                  <div><b>التوقعات الجوية من 21 آذار&nbsp;</b><b
                  style="background-color: transparent;">إلى 20 نيسان
                  2025</b></div>
                en: ''
              daily_parts: []
      properties: {}
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: HTTP status code
        statusMessage:
          type: string
          description: HTTP status message
      example:
        error: Location not found
        statusCode: 404
        statusMessage: Not Found

````